Linux

Ubuntu Webserver error on The authenticity of wordpress-5.2.3-no-content.zip could not be verified as no signature was found

Ubuntu fix upgrade wordpress error with ww-data





On the Ubuntu, server hosting gets an error with permissions inconsistent when you don’t want to include permissions on your website. With the problem, you will can’t upgrade WordPress version, upgrade the plugin or can’t update any more in your site on Dashboard.

With the message, you get when upgrading WordPress new version

Ubuntu Webserver error on The authenticity of wordpress-5.2.3-no-content.zip could not be verified as no signature was found
WordPress upgrade error on the authenticity of wordpress-5.2.3-no-content.zip could not be verified as no signature was found
Message error 

Update WordPress
Downloading update from https://downloads.wordpress.org/release/wordpress-5.2.3-no-content.zip…
The authenticity of wordpress-5.2.3-no-content.zip could not be verified as no signature was found.
Unpacking the update…
Verifying the unpacked files…
Preparing to install the latest version…
The update cannot be installed because we will be unable to copy some files. This is usually due to inconsistent file permissions.: wp-includes/css/admin-bar.min.css, wp-includes/css/editor.min.css, wp-includes/css/admin-bar-rtl.min.css, wp-includes/css/media-views.min.css, wp-includes/css/customize-preview.css, wp-includes/css/admin-bar-rtl.css, wp-includes/css/editor.css, wp-includes/css/wp-pointer.css, wp-includes/css/customize-preview-rtl.css, wp-includes/css/wp-pointer-rtl.css, wp-includes/css/jquery-ui-dialog-rtl.min.css, wp-includes/css/dist/block-library/editor.min.css, wp-includes/css/dist/block-library/style-rtl.min.css, wp-includes/css/dist/block-library/theme.css, wp-includes/css/dist/block-library/theme-rtl.min.css, wp-includes/css/dist/block-library/editor.css, wp-includes/css/dist/block-library/theme.min.css, wp-includes/css/dist/block-library/style.min.css, wp-includes/css/dist/block-library/theme-rtl.css, wp-includes/css/dist/block-library/editor-rtl.css, wp-includes/css/dist/block-library/editor-rtl.min.css, wp-includes/css/dist/block-library/style-rtl.css, wp-includes/css/dist/block-library/style.css, wp-includes/css/dist/format-library/style-rtl.min.css, wp-includes/css/dist/format-library/style.min.css, wp-includes/css/dist/format-library/style-rtl.css, wp-includes/css/dist/format-library/style.css, wp-includes/css/dist/edit-post/style-rtl.min.css, wp-includes/css/dist/edit-post/style.min.css, wp-includes/css/dist/edit-post/style-rtl.css, wp-includes/css/dist/edit-post/style.css, wp-includes/css/dist/editor/editor-styles-rtl.css, wp-includes/css/dist/editor/editor-styles-rtl.min.css, wp-includes/css/dist/editor/style-rtl.min.css, wp-includes/css/dist/editor/editor-styles.css, wp-includes/css/dist/editor/style.min.css, wp-includes/css/dist/editor/editor-styles.min.css, wp-includes/css/dist/editor/style-rtl.css, wp-includes/css/dist/editor/style.css, wp-includes/css/dist/nux/style-rtl.min.css, wp-includes/css/dist/nux/style.min.css, wp-includes/css/dist/nux/style-rtl.css, wp-includes/css/dist/nux/style.css, wp-includes/css/dist/list-reusable-blocks/style-rtl.css, wp-includes/css/dist/list-reusable-blocks/style.css, wp-includes/css/dist/components/style-rtl.min.css, wp-includes/css/dist/components/style.min.css, wp-includes/css/dist/components/style-rtl.css, wp-includes/css/dist/components/style.css, wp-includes/css/media-views-rtl.css, wp-includes/css/jquery-ui-dialog.css, wp-includes/css/admin-bar.css, wp-includes/css/media-views-rtl.min.css, wp-includes/css/jquery-ui-dialog.min.css, wp-includes/css/buttons-rtl.css, wp-includes/css/buttons.css, wp-includes/css/media-views.css, wp-includes/css/jquery-ui-dialog-rtl.css, wp-includes/css/dashicons.css, wp-includes/css/editor-rtl.css, wp-includes/css/editor-rtl.min.css, wp-includes/css/buttons-rtl.min.css, wp-includes/css/wp-auth-check.css, wp-includes/css/wp-auth-check-rtl.css, wp-includes/css/wp-embed-template.css, wp-includes/css/buttons.min.css, wp-includes/css/dashicons.min.css, wp-includes/blocks/latest-comments.php, wp-includes/blocks/latest-posts.php
Installation Failed

The solution
On the Ubuntu server hosting, you need to add www-data:www-data with permissions website, Example: sudo chown -R www-data:www-data www.twelveshow.com.

The command for add permissions www-data website

$ cd /var/www
$ sudo chown -R www-data:www-data www.yoursitename.com
Wordpress upgrade
WordPress upgrade

Conclusion
This the solution fix WordPress error with permissions inconsistent on the Ubuntu. So if you are using Cpanel you don’t do this.

Most Popular

To Top